﻿#ifndef RADARSIGGEN_H
#define RADARSIGGEN_H

#include <QObject>
#include <iostream>
#include <QDebug>
#include <QMutex>
#include <QString>
#include "SigGen/Radar001/RadarSignalGenerator.h"
#include "SigGen/Radar101/RadarSignalGenerator101.h"
#include "SigGen/Radar102/RadarSignalGenerator102.h"
#include "SigGen/Radar103/RadarSignalGenerator103.h"
#include "SigGen/Radar201/RadarSignalGenerator201.h"
#include "SigGen/Radar202/RadarSignalGenerator202.h"
#include "SigGen/Radar203/RadarSignalGenerator203.h"
#include "SigGen/Radar301/RadarSignalGenerator301.h"
#include "SigGen/Radar302/RadarSignalGenerator302.h"
#include "SigGen/Radar303/RadarSignalGenerator303.h"
#include "SigGen/Radar401/RadarSignalGenerator401.h"
#include "SigGen/Radar402/RadarSignalGenerator402.h"
#include "SigGen/Radar403/RadarSignalGenerator403.h"

class RadarSigGen : public QObject
{
    Q_OBJECT
public:
    QMutex *SigMutex;
    double *fs;
    double *PRF;
    double *sig;
    double *len;
    coder::array<double,1U> *coderSig;

    explicit RadarSigGen(QObject *parent = nullptr);

signals:

public slots:
    void SlotRadarGen(int order);
};

#endif // RADARSIGGEN_H
